All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Class MdFactoryEvent

    com.sas.metadata.remote.MdFactoryEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MdFactoryEvent

implements java.lang.Cloneable

This is the event class used for signalling when objects are created, modified, and deleted on the server. This class does not involve object stores. Instead, only when changes are persisted to the server is when these methods will be fired.

One event will be fired for each request to the server. Instead of multiple events fired for each individual object, a single event will be fired for all objects.

If the client has registered their MdFactoryListener to be notified when events are fired for specific object types (see `MdFactory.addMdFactoryListener(MdFactoryListener, String[])`, the object map will only contain objects of those specified interested types.

Since:
  9.2
See Also:
  Serialized Form

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `_objectMap`

Constructor Summary
`MdFactoryEvent(MdFactory factory, java.util.Map<java.lang.String,java.lang.String> objectMap)`
`MdFactoryEvent(MdFactory factory, java.lang.String[] objectIDs)` Deprecated. use `MdFactoryEvent(MdFactory, Map)` instead

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this event.
`MdFactory` | `getFactory()` Returns the factory for this event
`int` | `getObjectCount()` Returns the number of objects included in this event
`java.lang.String[]` | `getObjectIDs()` Returns the object ids associated with this event.
`java.util.Map<java.lang.String,java.lang.String>` | `getObjectMap()` Returns the object map (where the keys are the object ids and the values are the object types) associated with this event.
`protected void` | `setObjectMap(java.util.Map<java.lang.String,java.lang.String> map)`

Field Detail

### _objectMap

    protected java.util.Map<java.lang.String,java.lang.String> _objectMap

Constructor Detail

### MdFactoryEvent

    public MdFactoryEvent(MdFactory factory,
                          java.lang.String[] objectIDs)

  Deprecated. use `MdFactoryEvent(MdFactory, Map)` instead

  Parameters:
    `factory` -
    `objectIDs` -

### MdFactoryEvent

    public MdFactoryEvent(MdFactory factory,
                          java.util.Map<java.lang.String,java.lang.String> objectMap)

Method Detail

### getFactory

    public MdFactory getFactory()

  Returns the factory for this event

  Returns:
    MdFactory

### getObjectMap

    public java.util.Map<java.lang.String,java.lang.String> getObjectMap()

  Returns the object map (where the keys are the object ids and the values are the object types) associated with this event. If the object's type is not known, the value of the map entry may be null.

  In certain cases with delete events, it may not be possible to know the object types. This is because by the time the event has been fired, the object(s) have been deleted from the server. Because of this, if the object's type is not known, the value of the map entry will be null. However, all null types will always exist in the map, even if the client specified which object types they are interested in.

  Returns:
    map of objects included in this event

### getObjectIDs

    public java.lang.String[] getObjectIDs()

  Returns the object ids associated with this event. This returns

  Returns:
    the array of object ids

### getObjectCount

    public int getObjectCount()

  Returns the number of objects included in this event

  Returns:
    number of objects

### setObjectMap

    protected void setObjectMap(java.util.Map<java.lang.String,java.lang.String> map)

### clone

    public java.lang.Object clone()

  Returns a clone of this event. The copy will contain a reference to a clone of the internal data array, not a reference to the original internal data array of this `MdFactoryEvent` object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this event.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.